// stdafx.cpp : source file that includes just the standard includes
//	War170API.pch will be the pre-compiled header
//	stdafx.obj will contain the pre-compiled type information

#include "war.h"
#include "War170API.h"

WAR170API_API WARAPI_RESULT 
Warapi_InitializeApi(const WAR_OUT int Version, 
                     WAR_IN int *ErrorValue)
{
    if (!ErrorValue)
        return WARAPI_CALL_EINVAL;

    *ErrorValue = WARAPI_ERR_UNDEFINED;
    
    if ((Version > 0)
        && (Version <= WAR_API_INTERFACE_VERISON))
    {
        WarSocket::Initialize();
        *ErrorValue = WARAPI_ERR_OK;
        return WARAPI_CALL_OK;
    }

    *ErrorValue = WARAPI_ERR_UNSUPPORTED;
    return WARAPI_CALL_GENERIC_FAIL;
}

